<?php
if (!defined("ABSPATH"))
      exit;

class sunarc_WC_split_order_by_warehouse {
    public static function init() {
        add_filter( 'woocommerce_settings_tabs_array', __CLASS__ . '::add_settings_tab', 50 );
    }
    public static function add_settings_tab( $settings_tabs ) {
        $settings_tabs['split_order_by_warehouse'] = __( 'Split Order by Warehouse', 'woocommerce-split-order-warehouse' );
        return $settings_tabs;
    }
}
sunarc_WC_split_order_by_warehouse::init();

add_action( 'woocommerce_settings_tabs_split_order_by_warehouse', 'wsow_settings_tab' );

function wsow_settings_tab() {
    woocommerce_admin_fields( wsow_get_settings() );
}

function wsow_get_settings() {

    $wsow_enable_options  = array(
                        'yes'      => __( 'Yes', 'woocommerce' ),
                        'no'       => __( 'No', 'woocommerce' ),
                    );

    $wsow_split_options = array(
                        'default'      => __( 'Default', 'woocommerce' ),
                    );


    $settings = array( 'section_title' => array(
            'name'     => __( 'General Configuration', 'woocommerce-split-order-warehouse' ),
            'type'     => 'title',
            'desc'     => '',
            'id'       => 'wc_split_order_by_warehouse_section_title'
        ),
        'split_by_warehouse_falg' => array(
            'name'      => __( 'Enable split order', 'woocommerce-split-order-warehouse' ),
            'id'        => 'split_by_warehouse_falg',
            'default'   => 'yes',
            'type'      => 'select',
            'options'   => $wsow_enable_options,
        ),
        'splitorderwarehouse' => array(
            'name'      => __( 'Split Order Conditions', 'woocommerce-split-order-warehouse' ),
            'desc'      => __( '', 'woocommerce-split-order-warehouse' ),
            'id'        => 'splitorderwarehouse',
            'default'   => 'warehouse',
            'type'      => 'select',
            'options'   => $wsow_split_options,
        ),
        'section_end' => array(
             'type' => 'sectionend',
             'id'   => 'wc_split_order_by_warehouse_section_end'
        )
    );
    return apply_filters( 'wc_split_order_by_warehouse_settings', $settings );
}



add_action( 'woocommerce_update_options_split_order_by_warehouse', 'wsow_update_settings' );
function wsow_update_settings() {
    woocommerce_update_options( wsow_get_settings() );
}
?>