<?php if ( ! defined( 'ABSPATH' ) ) exit; 
/*
	Plugin Name: Split Order by Warehouse
	Plugin URI: 
	Description: This plugin split order multiple Warehouse orders.
	Version: 1.0
	Author: SunArc
	Author URI: https://sunarctechnologies.com/
	Text Domain: woocommerce-split-order-warehouse
	License: GPL2

*/

global $wpdb;
if (!defined('ABSPATH')) {
    exit; // Exit if accessed directly
} else {

    clearstatcache();
}


require_once( ABSPATH . 'wp-admin/includes/upgrade.php' );
define('wsowsunarc_sunarc_plugin_dir', dirname(__FILE__));


register_activation_hook(__FILE__, 'wsowsunarc_plugin_activate');

function wsowsunarc_plugin_activate() {
    $option_name = 'split_by_warehouse_falg';
    $new_value = 'no';
    update_option($option_name, $new_value);
	
}

// Deactivation Pluign 
function wsowsunarc_deactivation() {
     $option_name = 'split_by_warehouse_falg';
    $new_value = '';
    update_option($option_name, $new_value);
	$option_name1 = 'splitorderwarehouse';
    $new_value1 = '';
    update_option($option_name1, $new_value1);
}

register_deactivation_hook(__FILE__, 'wsowsunarc_deactivation');

// Uninstall Pluign 
function wsowsunarc_uninstall() {
    $option_name = 'split_by_warehouse_falg';
    $new_value = '';
    update_option($option_name, $new_value);
	$option_name1 = 'splitorderwarehouse';
    $new_value1 = '';
    update_option($option_name1, $new_value1);
    
}


$SUNARC_all_plugins = get_plugins();

$SUNARC_activate_all_plugins = apply_filters('active_plugins', get_option('active_plugins'));

if (array_key_exists('woocommerce/woocommerce.php', $SUNARC_all_plugins) && in_array('woocommerce/woocommerce.php', $SUNARC_activate_all_plugins)) {
     $optionVal = get_option('split_by_warehouse_falg');
     $splitDefault = get_option('splitorderwarehouse');
      if($optionVal == 'yes' && $splitDefault == 'default')	{
		require_once wsowsunarc_sunarc_plugin_dir . '/include/defaultsplitorderwarehouse.php';
	}		
}

require_once wsowsunarc_sunarc_plugin_dir . '/include/setting.php';

add_action( 'woocommerce_email', 'wsowsunarc_remove_hooks' );

function wsowsunarc_remove_hooks( $email_class ) {
		remove_action( 'woocommerce_low_stock_notification', array( $email_class, 'low_stock' ) );
		remove_action( 'woocommerce_no_stock_notification', array( $email_class, 'no_stock' ) );
		remove_action( 'woocommerce_product_on_backorder_notification', array( $email_class, 'backorder' ) );
		
		// New order emails
		remove_action( 'woocommerce_order_status_pending_to_processing_notification', array( $email_class->emails['WC_Email_New_Order'], 'trigger' ) );
		remove_action( 'woocommerce_order_status_pending_to_completed_notification', array( $email_class->emails['WC_Email_New_Order'], 'trigger' ) );
		remove_action( 'woocommerce_order_status_pending_to_on-hold_notification', array( $email_class->emails['WC_Email_New_Order'], 'trigger' ) );
		remove_action( 'woocommerce_order_status_failed_to_processing_notification', array( $email_class->emails['WC_Email_New_Order'], 'trigger' ) );
		remove_action( 'woocommerce_order_status_failed_to_completed_notification', array( $email_class->emails['WC_Email_New_Order'], 'trigger' ) );
		remove_action( 'woocommerce_order_status_failed_to_on-hold_notification', array( $email_class->emails['WC_Email_New_Order'], 'trigger' ) );
		
		// Processing order emails
		remove_action( 'woocommerce_order_status_pending_to_processing_notification', array( $email_class->emails['WC_Email_Customer_Processing_Order'], 'trigger' ) );
		remove_action( 'woocommerce_order_status_pending_to_on-hold_notification', array( $email_class->emails['WC_Email_Customer_Processing_Order'], 'trigger' ) );
		
		// Completed order emails
		remove_action( 'woocommerce_order_status_completed_notification', array( $email_class->emails['WC_Email_Customer_Completed_Order'], 'trigger' ) );
			
		// Note emails
		remove_action( 'woocommerce_new_customer_note_notification', array( $email_class->emails['WC_Email_Customer_Note'], 'trigger' ) );
}
	

add_action('woocommerce_checkout_create_order', 'wsowsunarc_before_checkout_create_order', 20, 2);
function wsowsunarc_before_checkout_create_order( $order, $data ) {
 $order->update_meta_data( '_custom_meta_hide', 'yes' );

}


add_filter( 'woocommerce_order_number', 'change_woocommerce_order_number' );
function change_woocommerce_order_number( $order_id ) {
	
	$optionVal = get_option('split_by_warehouse_falg');
    $splitDefault = get_option('splitorderwarehouse');
	if($optionVal=='yes'){
		$pricetotal = get_post_meta($order_id,'_order_total',true);
		if($pricetotal==0){
	    $suffix = '--Main Order--';
	    $new_order_id = $order_id . $suffix;
	    return $new_order_id;
		}
		else 
		{
			$suffix = '--Split Order--';
	    $new_order_id = $order_id . $suffix;
	    return $new_order_id;
		}
	}
	return $order_id;
	
 }